import { HTMLAttributes } from 'react';
import { VariantProps } from 'class-variance-authority';
declare const containerVariants: (props?: ({
    size?: "sm" | "md" | "lg" | "full" | null | undefined;
} & import('class-variance-authority/types').ClassProp) | undefined) => string;
export type ContainerProps = HTMLAttributes<HTMLDivElement> & VariantProps<typeof containerVariants>;
export declare const Container: import('react').ForwardRefExoticComponent<HTMLAttributes<HTMLDivElement> & VariantProps<(props?: ({
    size?: "sm" | "md" | "lg" | "full" | null | undefined;
} & import('class-variance-authority/types').ClassProp) | undefined) => string> & import('react').RefAttributes<HTMLDivElement>>;
export {};
